From: Colin Watson <cjwatson@debian.org>
Date: Wed, 18 Dec 2024 15:30:25 +0000
Subject: Port to Sphinx 8.0

The old `intersphinx_mapping` format has been removed; it must now map
identifiers to (target, inventory) tuples.

Forwarded: https://github.com/aio-libs/aiohttp-session/pull/1047
Bug-Debian: https://bugs.debian.org/1090128
Last-Update: 2024-12-18
---
 docs/conf.py | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/docs/conf.py b/docs/conf.py
index bed5f85..c6ee4c2 100644
--- a/docs/conf.py
+++ b/docs/conf.py
@@ -341,10 +341,10 @@ texinfo_documents = [
 
 # Example configuration for intersphinx: refer to the Python standard library.
 intersphinx_mapping = {
-    "https://docs.python.org/3": None,
-    "https://aiohttp.readthedocs.io/en/stable": None,
-    "https://redis.readthedocs.io/en/latest": None,
-    # 'https://github.com/aio-libs/aiomcache': None,
-    "http://cryptography.io/en/latest": None,
-    "https://pynacl.readthedocs.io/en/latest": None,
+    "python": ("https://docs.python.org/3", None),
+    "aiohttp": ("https://aiohttp.readthedocs.io/en/stable", None),
+    "redis": ("https://redis.readthedocs.io/en/latest", None),
+    # "aiomcache": ("https://github.com/aio-libs/aiomcache", None),
+    "cryptography": ("http://cryptography.io/en/latest", None),
+    "pynacl": ("https://pynacl.readthedocs.io/en/latest", None),
 }
